Name:          tagsoup
Version:       1.2.1
Release:       %mkrel 8
Summary:       A SAX-compliant parser written in Java
Group:         Development/Java
License:       ASL, GPL
Url:           http://home.ccil.org/~cowan/XML/%{name}/
Source0:       http://home.ccil.org/~cowan/XML/%{name}/%{name}-%{version}-src.zip
Source1:       http://repo1.maven.org/maven2/org/ccil/cowan/tagsoup/tagsoup/%{version}/tagsoup-%{version}.pom
# fix version
Patch0:        tagsoup-1.2.1-man.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: ant-apache-xalan2
BuildRequires: bash
BuildRequires: xalan-j2

Requires:      jpackage-utils

%description
TagSoup is a SAX-compliant parser written in Java that, instead of parsing well-formed or valid XML,
parses HTML as it is found in the wild: nasty and brutish, though quite often far from short. TagSoup
is designed for people who have to process this stuff using some semblance of a rational application design.
 By providing a SAX interface, it allows standard XML tools to be applied to even the worst HTML.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
TagSoup - A SAX-compliant parser written in Java.

This package contains javadoc for %{name}.

%prep
%setup -q -n tagsoup-%{version}

find . -name '*.class' -delete
find . -name "*.jar" -delete

%patch0 -p0

%build
export CLASSPATH=$(build-classpath xalan-j2-serializer xalan-j2)
%ant \
  -Dtagsoup.version=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  dist docs-api

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/lib/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files -f .mfiles
%{_mandir}/man1/%{name}.1.xz
%doc CHANGES LICENSE README TODO %{name}.txt

%files javadoc
%{_javadocdir}/%{name}/
%doc LICENSE


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.2.1-8.mga6
+ Revision: 951566
- Mageia 6 Mass Rebuild

* Sat Jan 03 2015 daviddavid <daviddavid> 1.2.1-7.mga5
+ Revision: 808341
- Sync with fc21 (fix build failure)
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 740893
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 689680
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-4.mga4
+ Revision: 519453
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 384027
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 gil <gil> 1.2.1-2.mga3
+ Revision: 217811
- fix depmap
- build fix remove static libraries
  re add maven support

* Sun Mar 04 2012 dams <dams> 1.2.1-1.mga2
+ Revision: 217738
- new version 1.2.1
- update spec file

* Sat Nov 05 2011 gil <gil> 1.1.3-1.mga2
+ Revision: 163092
- imported package tagsoup


* Thu Jun 30 2011 gil <gil> 1.1.3-0.%%mkrel
- initial rpm